from quart import Blueprint
from quart_schema import validate_request, validate_response

from foxnouns.settings import BASE_DOMAIN

from . import BaseCallbackResponse, OAuthCallbackRequest

bp = Blueprint("discord", __name__)


@bp.post("/api/v2/auth/discord/callback", host=BASE_DOMAIN)
@validate_request(OAuthCallbackRequest)
@validate_response(BaseCallbackResponse)
async def discord_callback(data: OAuthCallbackRequest):
    raise NotImplementedError()
